curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/leads \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/leads', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Leads
Get All Leads
Returns all the leads for your chatbot
GET
/
v1
/
{chatbot_id}
/
leads
curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/leads \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/leads', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Path Parameters
| Name | Type | Description |
|---|---|---|
| chatbot_id* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |
Headers
| Name | Type | Description |
|---|---|---|
| Accept* | String | application/json |
| Authorization* | String | Bearer |
curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/leads \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/leads', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Response
- 200 Success
- 401 Permission denied
[
{
"id": "",
"chatbot_id": "",
"visitor_id": "",
"name": null,
"email": "user@example.com",
"phone": null,
"status": "read",
"last_entry_at": "2023-09-30 13:10:39",
"created_at": "2023-09-30 13:10:19",
"updated_at": "2023-10-03 05:49:48"
}
]
Returns when the API token is invalid or missing.
Last modified on January 21, 2026
⌘I